{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function entid, repository, memberof\r\ndeclare subroutine rlist\r\n\r\n$insert rlist_equates\r\n\r\nSelpos = @CtrlEntId->selpos\r\nColumn = SelPos<1>\r\nRow    = SelPos<2>\r\nbegin case\r\n   case Column = 1\r\n\t\tColData = @CtrlEntId->coldata\r\n\t\tPopupRec = entid( @appid<1>, 'POPUP', '', 'REACTOR_TYPE' )\r\n\t\tRetCode = repository( 'EXECUTE', PopupRec, @window, '' )\r\n\t\t\r\n\t\tif RetCode <> '' then\r\n\t\t   ColData<1,Row> = RetCode\r\n\t\t   @CtrlEntId->coldata = ColData\r\n\t\t   \r\n\t\tend\r\nend case\r\nRETURN 0"
        }
    }
}